获取任意权限的资源组列表 | 大装置帮助中心
跳到主要内容

获取任意权限的资源组列表

接口描述​

GET /v1/resourceGroups 获取任意权限的资源组列表

请求头(Request Header)​

参考认证(authentication)

请求参数(Request Parameters)​

名称位置类型必须描述
permissionquerystringfalse权限
filterquerystringfalse过滤条件
order_byquerystringfalse支持更新时间和创建时间排序

请求体(Request Body)​

无

请求示例(Request Example)​

curl --request GET \
--url https://management.sensecoreapi.dev/rmh/v1/resourceGroups \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}'

响应参数(Response Parameters)​

StatusMeaningDescriptionSchema
200OKOKObtainResourceGroupsResponse

响应示例(Response Example)​

200 Response

{
"resource_groups": [
{
"id": "string",
"rid": "string",
"name": "string",
"display_name": "string",
"subscription_name": "string",
"owner_id": "string",
"create_time": "2019-08-24T14:15:22Z",
"update_time": "2019-08-24T14:15:22Z",
"resource_amount": 0,
"subscription_display_name": "string",
"subscription_id": "string",
"subscription_rid": "string",
"billing_account": "string"
}
],
"total_size": 0
}

数据结构(Schemas)​

ObtainResourceGroupsResponse​

名称类型必须限制描述
resource_groups[ResourceGroup]falsenone资源组列表
total_sizeinteger(int32)falsenone记录总数

ResourceGroup​

名称类型必须限制描述
idstringfalseread-only资源组ID
ridstringfalseread-only资源组RID
namestringtruenone资源组标识
display_namestringfalsenone资源组名称
subscription_namestringtruenone订阅标识
owner_idstringfalseread-only所属者ID
create_timestring(date-time)falseread-only资源组创建时间
update_timestring(date-time)falseread-only资源组更新时间
resource_amountinteger(int32)falseread-only资源数量
subscription_display_namestringfalseread-only订阅别名
subscription_idstringfalseread-only订阅ID
subscription_ridstringfalseread-only订阅RID
billing_accountstringfalseread-only付费账户(930弃用)